Bug 34322 - dhcp.c: Fix potentially destructive typo in perform_dhcp()
: dhcp.c: Fix potentially destructive typo in perform_dhcp()
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/propagator)
: unstable
: all Linux
: P3 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2017-12-12 01:20 by
Modified: 2018-05-08 23:27 (History)


Attachments
патч (817 bytes, patch)
2017-12-12 01:20, Arseny Maslennikov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2017-12-12 01:20:38
Created an attachment (id=7308) [details]
патч

При сборке пропагатора gcc говорит:

dhcp.c: In function 'perform_dhcp':
dhcp.c:588:41: warning: argument to 'sizeof' in 'memset' call is the same
expression as the destination; did you mean to remove the addressof?
[-Wsizeof-pointer-memaccess]
  memset(&client_addr.sin_addr, 0, sizeof(&client_addr.sin_addr));

Вроде бы ничему оно там не мешает, но всё же.
------- Comment #1 From 2018-05-08 23:27:49 -------
propagator-20180423-alt1 -> sisyphus:

Mon Apr 23 2018 Leonid Krivoshein <klark@altlinux> 20180423-alt1
- New udev control logic imported from make-initrd scripts.
- Udev-trigger replaced to udev-settle() in hardware wait loops.
- All udev control code moved from init.c to new udev.c module.
- Lazy initialization mode support added for work in cooperate
  with make-initrd: this is experimental future, turned off by
  default, and also required patched make-initrd-propagator.
- disk.c, cdrom.c: 15 attempts with udev-settle() calls.
- network.c: bridge up algorithm reviewed, fixed memory leaks.
- network.c: 15 attempts to select and wait network interface;
- probing.c, probing.h, dhcp.c: small fixes, now black list used.
- modules_descr.h, stage1.c: deprecated header, unused code removed.
- dhcp.c: fix potentially destructive typo (closes: #34322),
  thanks to Arseny Maslennikov <arseny@altlinux>.
- Workaround race conditions during disks detection (closes: #30315).
- Workaround race conditions during bridging up network interfaces,
  see: https://bugzilla.altlinux.org/show_bug.cgi?id=34347 and
  https://lists.altlinux.org/pipermail/sysadmins/2018-April/date.html
  (about "No network Devices found" error message).
- Multiple small code improvements, fixes for avoid memory leaks
  and suppress compiler warnings.